Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SGrid

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SAttributed, SNamed, SNDimensional, SProjection

All Known Implementing Classes:
  SGridImpl

    public interface SGrid

extends SNDimensional

A representation of the model object ' SGrid'.

Author:
  Miles Parker

  The following features are supported:

  - `Multi Occupant`
  - `Neighborhood`
See Also:
  `MetaABMPackage.getSGrid()`

Method Summary
`SNeighborhoodType` | `getNeighborhood()` Returns the value of the 'Neighborhood' attribute.
`boolean` | `isMultiOccupant()` Returns the value of the 'Multi Occupant' attribute.
`void` | `setMultiOccupant(boolean value)` Sets the value of the '`Multi Occupant`' attribute.
`void` | `setNeighborhood(SNeighborhoodType value)` Sets the value of the '`Neighborhood`' attribute.

Methods inherited from interface org.metaabm.SNDimensional
`getBorderRule, getDimensionality, setBorderRule, setDimensionality`

Methods inherited from interface org.metaabm.SProjection
`getOwner, setOwner`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isMultiOccupant

    boolean isMultiOccupant()

  Returns the value of the 'Multi Occupant' attribute. The default value is `"false"`.

  If the meaning of the 'Multi Occupant' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Multi Occupant' attribute.
  See Also:
    `setMultiOccupant(boolean)`, `MetaABMPackage.getSGrid_MultiOccupant()`

### setMultiOccupant

    void setMultiOccupant(boolean value)

  Sets the value of the '`Multi Occupant`' attribute.

  Parameters:
    `value` - the new value of the 'Multi Occupant' attribute.
  See Also:
    `isMultiOccupant()`

### getNeighborhood

    SNeighborhoodType getNeighborhood()

  Returns the value of the 'Neighborhood' attribute. The literals are from the enumeration `SNeighborhoodType`.

  If the meaning of the 'Neighborhood' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Neighborhood' attribute.
  See Also:
    `SNeighborhoodType`, `setNeighborhood(SNeighborhoodType)`, `MetaABMPackage.getSGrid_Neighborhood()`

### setNeighborhood

    void setNeighborhood(SNeighborhoodType value)

  Sets the value of the '`Neighborhood`' attribute.

  Parameters:
    `value` - the new value of the 'Neighborhood' attribute.
  See Also:
    `SNeighborhoodType`, `getNeighborhood()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD